Bug 88861 - USB (HP ScanJet 5300C / xsane flakiness)
USB (HP ScanJet 5300C / xsane flakiness)
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i386 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-14 21:22 EDT by Patrick
Modified: 2005-10-31 17:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick 2003-04-14 21:22:58 EDT
Description of problem:

I have had a number of random occassions since installing RedHat 9 where my
computer has suddenly frozen. In every instance it has been a hard lock which
requires a manual reset. I have been unable to detect any pattern to the lockups
 and had no real clue until today. At bootup today the kernel froze while
initializing the hard drives. I didn't write down the exact message
unfortunately but it involved setting up the DMA of the drives. The message said
something along the lines of "unexpected DMA interrupt on /dev/hde".

I did not have any problem similar to this running RedHat 7.0, 7.3 or 8.0.

Version-Release number of selected component (if applicable):

Linux version 2.4.20-9 (bhcompile@stripples.devel.redhat.com) (gcc version 3.2.2
20030313 (Red Hat Linux 3.2.2-10)) #1 Wed Apr 2 13:42:50 EST 2003

How reproducible:

Happens once every couple of days but unexpectedly.

Hardware:
 - single processor
 - ABit BE6II motherboard (HighPoint ATA66 controller)
 - 2 hard drives, 1 CD/DVD-ROM and 1 CD-RW all on separate IDE controllers
   - /dev/hda is a Pioner DVD-ROM (DVD-106S 010) -- ATA33
   - /dev/hdc is a Yamaha CD-RW (CRW3200E) -- ATA33
   - /dev/hde (which received the unexpected DMA) is a 20GB IBM (model
DPTA-372050) -- ATA66 with ATA33 drive
   - /dev/hdg is a 40GB Maxtor (model 6L040J2?) -- ATA66 with capable drive

Setup:
   - 20GB RAID 0 (I think) across the two harddrives
   - 3/4 GB swap on 40GB Maxtor
   - approx. 20GB LVM on 40GB Maxtor

Software:
   - RedHat 9 with recent updates to glibc and kernel from RHN.
   - Crashes began with stock RedHat 9 before any updates though.
Comment 1 Warren Togami 2003-04-19 04:00:14 EDT
I have the same motherboard and in one of my test systems and I couldn't
reproduce this type of behavior.

Sanity Checks:
* Please use memtest86 for a few hours just to be sure your hardware didn't
begin failing recently.
* http://www.hgst.com/hdd/support/download.htm
Please also try IBM's DFT test from here.  It doesn't work fully on non-IBM
drives, but it will do tests and report certain problems.
Comment 2 Tiziano Tresanti 2003-04-28 06:50:35 EDT
I have the same problem.
I upgraded from rh8.0 to rh9.0 the system works correctly
but after 3 days the system crash and my ext3 file system was destroyed.
I reinstalled the rh9.0, the system works correctly in run level 3 mode but
with run level 5 the application bar doesn't works after the 
first application started.
Mozilla and Konqueror works correctly but after some minutes, during a new
web page request, the system completely freeze and I must reset the hardware with
the on/off button. It seems some memory problems or hardware problems
but after a downgrade to rh8.0 the system works perfectly.
Comment 3 Patrick 2003-04-29 01:52:55 EDT
I've run memtest86 for several hours and it passed all of them fine. I haven't
been able to test the hard drive utility yet since I have to figure out how to
burn a bootable CD of it (no floppy drive).

One general impression is that the crashes seem to happen when the disks begin
thrashing. The crashes have happened when when I have Mozilla and Evolution open
and suddenly the disk starts thrashing. If I close everything it still churns
for awhile and eventually locks up. If I log off immediately it seems to prevent
it from freezing. I'll try to narrow it down further...
Comment 4 Patrick 2003-06-08 17:51:20 EDT
I haven't had a freeze up since upgrading to kernel 2.4.20-13.9. I'm running
2.4.20-18.9 now and that has been working fine too. I only had problems with
kernels 2.4.20-9 and 2.4.20-8.
Comment 5 Patrick 2003-06-14 16:20:00 EDT
I've just experienced a hang again. However, I believe the cause to be different
then I initially suspected. After rearranging my computer, I decided to plug in
my hp ScanJet 5300C USB scanner which I hadn't had connected for awhile because
the connection seemed flakey. This went without incident for approximately 12
hours and then the computer froze, exactly as before. I did open xsane once or
twice in this time period, before the crash, but only received a "no scanners
found" message.

When I think back to past freezes, I recall having trouble with the scanner at
the time (see also bug #97408 which I just recently filed) and now have the
feeling that the problem lies in the USB or sane code somewhere.
Comment 6 Bugzilla owner 2004-09-30 11:40:48 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.